Devel::InnerPackage(3p)

NAME
Devel::InnerPackage - find all the inner packages of a package

SYNOPSIS
    use Foo::Bar;
    use Devel::InnerPackage qw(list_packages);

    my @inner_packages = list_packages('Foo::Bar');

DESCRIPTION
Given a file like this

    package Foo::Bar;

    sub foo {}

    package Foo::Bar::Quux;

    sub quux {}

    package Foo::Bar::Quirka;

    sub quirka {}

    1;

then

    list_packages('Foo::Bar');

will return

    Foo::Bar::Quux
    Foo::Bar::Quirka

METHODS

  list_packages <package name>
Return a list of all inner packages of that package.

AUTHOR
Simon Wistow <simon@thegestalt.org>

COPYING
Copyright, 2005 Simon Wistow

Distributed under the same terms as Perl itself.

BUGS
None known.